# babel-preset-pob-stages [![NPM version][npm-image]][npm-url]

babel preset with plugins in stage-*

[![Dependency ci Status][dependencyci-image]][dependencyci-url]
[![Dependency Status][daviddm-image]][daviddm-url]

## Content

This preset includes the following plugins:

- [babel-plugin-transform-object-rest-spread](https://www.npmjs.com/package/babel-plugin-transform-object-rest-spread) (stage 3)
- [babel-plugin-syntax-dynamic-import](https://www.npmjs.com/package/babel-plugin-syntax-dynamic-import) (stage 3)
- [babel-plugin-transform-class-properties](https://www.npmjs.com/package/babel-plugin-transform-class-properties) (stage 2),
- [babel-plugin-transform-export-extensions](https://www.npmjs.com/package/babel-plugin-transform-export-extensions) (stage 1),
- [babel-plugin-transform-decorators-legacy](https://www.npmjs.com/package/babel-plugin-transform-decorators-legacy) (for flow-runtime)

Note: You can also add [babel-preset-babili-optimizations](https://www.npmjs.com/package/babel-preset-babili-optimizations) and [babel-plugin-discard-module-references](https://www.npmjs.com/package/babel-plugin-discard-module-references) to remove unused imports, if you import only in dev or only in production.

## Install

```bash
npm install --save-dev babel-preset-pob-stages
yarn add --dev babel-preset-pob-stages
```

## Usage

### Via `.babelrc`

**.babelrc**

```json
{
  "presets": ["pob-stages"]
}
```

### Via CLI

```sh
babel script.js --presets pob-stages
```

### Via Node API

```javascript
require("babel-core").transform("code", {
  presets: [require('babel-preset-pob-stages')]
});
```

[npm-image]: https://img.shields.io/npm/v/babel-preset-pob-stages.svg?style=flat-square
[npm-url]: https://npmjs.org/package/babel-preset-pob-stages
[daviddm-image]: https://david-dm.org/christophehurpeau/babel-preset-pob-stages.svg?style=flat-square
[daviddm-url]: https://david-dm.org/christophehurpeau/babel-preset-pob-stages
[dependencyci-image]: https://dependencyci.com/github/christophehurpeau/babel-preset-pob-stages/badge?style=flat-square
[dependencyci-url]: https://dependencyci.com/github/christophehurpeau/babel-preset-pob-stages
